package com.example.demo.entity;

public class ReturnData {
    private String code;

    private String msg;

    private Object data;

    public ReturnData(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public static ReturnData getSuccess(){
        ReturnData returnData = new ReturnData("0000","成功");
        return returnData;
    }

    public static ReturnData getSuccess(Object obj){
        ReturnData returnData = new ReturnData("0000","成功");
        returnData.setData(obj);
        return returnData;
    }

    public static ReturnData getError(){
        ReturnData returnData = new ReturnData("9999","失败");
        return returnData;
    }
}
