/*
 Navicat Premium Data Transfer

 Source Server         : wk
 Source Server Type    : MySQL
 Source Server Version : 50721
 Source Host           : localhost:3306
 Source Schema         : jexcel

 Target Server Type    : MySQL
 Target Server Version : 50721
 File Encoding         : 65001

 Date: 19/08/2019 12:22:55
*/

-- SET NAMES utf8mb4;
-- SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for excel_data
-- ----------------------------
-- DROP TABLE IF EXISTS `excel_data`;
CREATE TABLE IF NOT EXISTS `excel_data`  (
  `DATA_ID` bigint(16) NOT NULL AUTO_INCREMENT COMMENT '模板（主键）',
--   `TEMPLATE_ID` bigint(16),
`TEMPLATE_ID` varchar(4000),
  `EXCEL_DATA` varchar(4000) COMMENT '模板数据',
  `CREATE_DATE` datetime(0)  COMMENT '创建日期',
  `CREATE_PERSON` varchar(128)  COMMENT '创建人',
  PRIMARY KEY (`DATA_ID`)
);

-- ----------------------------
-- Table structure for excel_template
-- ----------------------------
-- DROP TABLE IF EXISTS `excel_template`;
CREATE TABLE IF NOT EXISTS `excel_template`  (
--   `TEMPLATE_ID` bigint(16) NOT NULL AUTO_INCREMENT COMMENT '模板（主键）',
 `TEMPLATE_ID` varchar(4000) NOT NULL COMMENT '模板（主键）',
  `TEMPLATE_TITLE` varchar(4000) COMMENT '模板标题',
--   `TEMPLATE_DATA` varchar(4000) COMMENT '模板数据',
  `CREATE_DATE` datetime(0) COMMENT '创建日期',
  `CREATE_PERSON` varchar(128)  COMMENT '创建人',
  PRIMARY KEY (`TEMPLATE_ID`)
);


CREATE TABLE IF NOT EXISTS `excel_template_data`  (
  `TEMPLATE_DATA_ID` bigint(16) NOT NULL AUTO_INCREMENT COMMENT '模板数据（主键）',
--   `TEMPLATE_ID` bigint(16),
  `TEMPLATE_ID` varchar(4000),
  `NAME` varchar(4000) COMMENT '模板数据标题',
  `REQUIRED` int(1) COMMENT '是否必填项',
  `TYPE` varchar(4000) COMMENT '模板数据类型',
  `JSONARRAY` varchar(4000) COMMENT '模板数据多选项',
  `FORMAT` varchar(4000) COMMENT '模板数据时间格式化',
--   `TEMPLATE_DATA` varchar(4000) COMMENT '模板数据',
--   `CREATE_DATE` datetime(0) COMMENT '创建日期',
--   `CREATE_PERSON` varchar(128)  COMMENT '创建人',
  PRIMARY KEY (`TEMPLATE_DATA_ID`)
);

