new Vue({
    el: '#container',
    data() {
        return{
            templateId:'',
            responseData: {},
            url:''
        }
    },
    mounted() {
        axios.get(ctxPath+'getTemplateList')
            .then(response => {
                console.log(response)
                if(response.data.code == '0000'){
                    this.responseData = response.data.data
                }else{
                    alert("请求错误！")
                }
            })
            .catch((error) => { // 请求失败处理
                console.log(error);
            });
    },
    methods:{
        copyCollect(data){
            this.copyText(encodeURI(this.getloaclHost()+ctxPath+'template/'+data.templateId),function (){console.log('复制成功')})
        },
        gotoCollect(data){
            location.href = this.getloaclHost()+ctxPath+'template/'+data.templateId;
        },
        copyExcel(data){
            this.copyText(encodeURI(this.getloaclHost()+ctxPath+'excel/'+data.templateId),function (){console.log('复制成功')})
        },
        gotoExcel(data){
            location.href = this.getloaclHost()+ctxPath+'excel/'+data.templateId;
        },
        getloaclHost(){
            var curWWWPath = window.document.location.href;
            var pathname = window.document.location.pathname;
            var pos = curWWWPath.indexOf(pathname);
            var localhostPath = curWWWPath.substring( 0, pos );
            return localhostPath;
        },
        copyText(text, callback){ // text: 要复制的内容， callback: 回调
            var tag = document.createElement('input');
            tag.setAttribute('id', 'cp_hgz_input');
            tag.value = text;
            document.getElementsByTagName('body')[0].appendChild(tag);
            document.getElementById('cp_hgz_input').select();
            document.execCommand('copy');
            document.getElementById('cp_hgz_input').remove();
            if(callback) {callback(text)}
        },
    }
});