package com.example.demo.dao;

import com.example.demo.entity.Data;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DataMapper {
    Integer insertData(Data data);
    Integer insertDataList(@Param("dataList") List<Data> dataList);
    Integer updateDataList(@Param("dataList") List<Data> dataList);
    Integer updateData(Data data);
    List<Data> selectDataByTemplateId(String templateId);
    List<Data> selectDataByPerson(String createPerson,String templateId);
    Data selectDataByDataId(Integer dataId);
    Integer deleteDataList(@Param("list")List<Integer> list);
}
