new Vue({
    el: '#container',
    data() {
        return{
            templateId:'',
            responseData: {},
            checkedAll: false,
            templateDataList:[]
        }
    },
    mounted() {
        this.templateId = document.getElementById("templateId").value
        axios.get(ctxPath+'getTemplateById/'+this.templateId)
            .then(response => {
                console.log(response)
                if(response.data.code == '0000'){
                    this.responseData = response.data.data
                    // var dataTemplate = {}
                    // response.data.data.templateDataList.forEach(e=>{
                    //     dataTemplate[e.rowName] = ''
                    // })
                    // this.dataList.push(dataTemplate)
                }else{
                    alert("请求错误！")
                }

            })
            .catch((error) => { // 请求失败处理
                console.log(error);
            });
        let params = new FormData()
        params.append('templateId',this.templateId)
        axios.post(ctxPath+'getExcelData',params)
            .then(response => {
                console.log(response)
                if(response.data.code == '0000'){
                    this.templateDataList = response.data.data
                    // var dataTemplate = {}
                    // response.data.data.templateDataList.forEach(e=>{
                    //     dataTemplate[e.rowName] = ''
                    // })
                    // this.dataList.push(dataTemplate)
                }else{
                    alert("请求错误！")
                }

            })
            .catch((error) => { // 请求失败处理
                console.log(error);
            });
    },
    methods:{
        copy(){
            var curWWWPath = window.document.location.href;
            var pathname = window.document.location.pathname;
            var pos = curWWWPath.indexOf(pathname);
            var localhostPath = curWWWPath.substring( 0, pos );
            this.copyText(encodeURI(localhostPath+ctxPath+'excel/'+this.templateId),function (){console.log('复制成功')})
        },
        copyText(text, callback){ // text: 要复制的内容， callback: 回调
            var tag = document.createElement('input');
            tag.setAttribute('id', 'cp_hgz_input');
            tag.value = text;
            document.getElementsByTagName('body')[0].appendChild(tag);
            document.getElementById('cp_hgz_input').select();
            document.execCommand('copy');
            document.getElementById('cp_hgz_input').remove();
            if(callback) {callback(text)}
        },
        exportData(){
            location.href= ctxPath+"exportData/"+this.templateId;
        },
    }
})